<div>
    <h2 id="page-heading">
        <span>Vendors Contacts</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-vendors-contact" [routerLink]="['/vendors-contact/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Vendors Contact
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="vendorsContacts?.length === 0">
        <span>No vendorsContacts found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="vendorsContacts && vendorsContacts.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Title</span></th>
                    <th scope="col" ><span>First Name</span></th>
                    <th scope="col" ><span>Last Name</span></th>
                    <th scope="col" ><span>Mobile</span></th>
                    <th scope="col" ><span>Email</span></th>
                    <th scope="col" ><span>Business Title</span></th>
                    <th scope="col" ><span>Contact Tag Id</span></th>
                    <th scope="col" ><span>Contact Tag Name</span></th>
                    <th scope="col" ><span>Active</span></th>
                    <th scope="col" ><span>Vendor</span></th>
                    <th scope="col" ><span>Shop</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let vendorsContact of vendorsContacts ;trackBy: trackId">
                    <td><a [routerLink]="['/vendors-contact', vendorsContact.id, 'view']">{{ vendorsContact.id }}</a></td>
                    <td>{{ vendorsContact.title }}</td>
                    <td>{{ vendorsContact.firstName }}</td>
                    <td>{{ vendorsContact.lastName }}</td>
                    <td>{{ vendorsContact.mobile }}</td>
                    <td>{{ vendorsContact.email }}</td>
                    <td>{{ vendorsContact.businessTitle }}</td>
                    <td>{{ vendorsContact.contactTagId }}</td>
                    <td>{{ vendorsContact.contactTagName }}</td>
                    <td>{{ vendorsContact.active }}</td>
                    <td>
                        <div *ngIf="vendorsContact.vendor">
                            <a [routerLink]="['/vendor', vendorsContact.vendor?.id, 'view']" >{{ vendorsContact.vendor?.id }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="vendorsContact.shop">
                            <a [routerLink]="['/shop', vendorsContact.shop?.id, 'view']" >{{ vendorsContact.shop?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/vendors-contact', vendorsContact.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/vendors-contact', vendorsContact.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(vendorsContact)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
